#{extends 'borderNG.html' /}
#{set 'titleHead'}
	&{'lelang_jadwal.jadwal'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'lelang_jadwal.beranda'}</a></li>
	<li><a href="@{lelang.LelangCtr.edit(lelang?.lls_id)}">&{'lelang_jadwal.edit_tender'} </a></li>
	<li class="active">&{'lelang_jadwal.jadwal_tender'}</li>
</ol>

<div class="content">
	<table class="table table-sm table-bordered">
    <tr>
    	<th class="bg-warning" width="150">&{'lelang_jadwal.kd_tender'}</th>
    	<td>${lelang.lls_id}</td>
    </tr>
    <tr>
    	<th class="bg-warning" width="150">&{'lelang_jadwal.nm_paket'}</th>
    	<td>${lelang.lls_id}</td>
    </tr>
    </table>
    <div class="bs-callout bs-callout-warning">
        &{'lelang_jadwal.jenis_tender'}
        &{'lelang_jadwal.tender_sesuai'}
    </div>
     #{alert /}
     #{if lelang.lls_status.draft}
      #{form @lelang.JadwalCtr.copy(lelang?.lls_id) , method:'POST', id:'formCopy'}
    	<div class="float-right form-inline">
    		<div class="form-group">Copy Jadwal:
    		#{selectCopyJadwal 'lelangCopyId',  id:'lelangCopyId', value:lelangCopyId, lelang:lelang /}
    		</div>
            <button name="copy" disabled class="btn btn-secondary" type="submit" title="Copy jadwal dari paket yang telah ada"><i class="fa fa-copy"></i></button>
   		</div>
    	<div class="clearfix"></div>
     #{/form}
    #{/if}    	
    <table class="table  table-striped" id="tblJadwal" style="margin-top:20px;">
            <thead>
            <tr>
                <th width="5">&{'lelang_jadwal.no'}</th>
                <th>&{'lelang_jadwal.tahap'}</th>
                <th width="20%">&{'lelang_jadwal.tgl_mulai'}</th>
                <th width="20%">&{'lelang_jadwal.tgl_selesai'}</th>
                 #{if lelang.lls_status.aktif}
                 <th>&{'lelang_jadwal.keterangan'}</th>
                 #{/if}
            </tr>
            </thead>
            <tbody>
            #{list items:jadwalList, as:'jadwal'}
            #{set field:'jadwal['+i+']' /}
            <tr valign="middle" class="#{validate field /}">
                <td>${jadwal_index}</td>
                <td><a href="javascript:void(0)" class="edit" value="${jadwal.dtj_id}"><span class="tahap" value="${jadwal.akt_id}">${jadwal.namaTahap(lelang.lelangV3)}</span></a></td>
                <td class="tgl_awal">${jadwal?.dtj_tglawal?.toDatetimepicker()}</td>
                <td class="tgl_akhir">${jadwal?.dtj_tglakhir?.toDatetimepicker()}</td>
                #{if lelang.lls_status.aktif}
                <td><a href="@{lelang.JadwalCtr.history(jadwal.dtj_id)}" class="jpopup">&{'lelang_jadwal.history_perubahan2'}</a></td>
                #{/if}
            </tr>
            #{/list}
            </tbody>
        </table>
      #{backButton action:@lelang.LelangCtr.edit(lelang.lls_id) /}   
</div>

#{set 'css_custom'}
<style type="text/css">
	.bootstrap-select.btn-group .dropdown-menu {
		max-width: 700px;
	}

	.bootstrap-select.btn-group .dropdown-menu li a span.text {
		display: block !important;
		overflow: hidden;
		word-wrap: break-word;
		white-space: normal;
	}
</style>
#{/set }

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script>
$(document).on('click','.edit', function(){
	var value = $(this).attr('value');
	var row = $(this).parent().parent();
	var label = row.find('.tahap').text();
	var tahap = row.find('.tahap').attr('value');
	var awal = row.find('.tgl_awal').text();
	var akhir = row.find('.tgl_akhir').text();
	var content = '<form id="formEdit"><input type="hidden" name="jadwal.akt_id" value="'+tahap+'"/><input type="hidden" name="jadwal.dtj_id" value="'+value+'" />'+
	 '<input type="hidden" name="jadwal.lls_id" value="${lelang.lls_id}"/><table class="table table-sm"><tr><td width="100" class="bgwarning">Jadwal</td>'+
	 '<td class="form-inline"><div class="input-group date datetimepicker" style="width:200px;">'+
	 '<input name="jadwal.dtj_tglawal" id="awal" type="text" value="'+awal+'" initial="'+awal+'" class="form-control datetimepicker"/>'+
	 '<div class="input-group-append"><span class="input-group-text"><span class="fa fa-calendar"></span></span></div></div> <span>s.d.</span> '+
	 '<div class="input-group date datetimepicker"><input name="jadwal.dtj_tglakhir" id="akhir" type="text"  value="'+akhir+'" initial="'+akhir+'" class="form-control datetimepicker"/>'+
	 '<div class="input-group-append"><span class="input-group-text"><span class="fa fa-calendar"></span></span></div></div></td></tr>';
	 #{if lelang.lls_status.aktif}
	 content += '<tr><td width="120" class="bgwarning">Alasan Perubahan</td><td><textarea rows="10" name="jadwal.dtj_keterangan" id="alasan" class="form-control"></textarea></td></tr>';
	 #{/if}
	 content += '</table><div id="alert"></div></form>';
	 BootstrapDialog.show({
		title:label,
		message: content,
		buttons: [{label: 'Simpan',cssClass: 'btn-success',
			action : function(dialog) {
				var form = $('#formEdit');
				$.ajax({type:"POST", url: "@{lelang.JadwalCtr.simpan_jadwal()}", data: form.serialize(), 
					success: function(data){
						if(data.error) {
							$('#alert').attr('class','alert alert-danger').html(data.error);
						} else { //  success
							location.reload();
							dialog.close();
						}						
					}, error : function(data) {
						console.log(data.result);
					}
				});
				
			}},{label: 'Batal', action : function(dialog) {	dialog.close();}}]
	});
});		
$(document).on('focus click','.form-control.datetimepicker', function(ev){
	//jika masih kosong maka isikan jam default 00:00 atau 23:59
	var dateName=$(this).attr("name");
	var isAwal=(dateName.indexOf("awal"))>=0;
	var dateValue=$(this).val();
	var initialValue=$(this).attr("initial");
	if(isAwal)
		postfix="00:00";
	else
		postfix="23:59";
	
	if(initialValue=="")			
	{
		console.log('initial value kosong');
		//pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
		ary=dateValue.split(" ");
		initialValue=ary[0] + " " + postfix;
		$(this).data("DateTimePicker").date(initialValue);
		$(this).attr("initial", initialValue);
	}
	//console.log(dateName + ":" + initialValue);
});
$("#formCopy").submit(function(){
	if(!confirm("&{'flash.warning_copy_jadwal'}"))
		return false;
});
	
$("select[name='lelangCopyId']").change(function(){
	var value=$(this).val();
	if(value.length===0)
		$("[name='copy']").attr("disabled","disabled");
	else
		$("[name='copy']").removeAttr("disabled");
});
</script>

#{/set}
